Skip to main content
GET
/
lucca-api
/
employee-attribute-definitions
/
{id}
Retrieve an employee-attribute-definition
curl --request GET \
  --url https://{host}/lucca-api/employee-attribute-definitions/{id} \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
{
  "id": "e_tShirtSize",
  "type": "employee-attribute-definition",
  "url": "https://example.ilucca.net/lucca-api/employee-attribute-definitions/e_tShirtSize",
  "name": "T-shirt size",
  "multipleValueHandling": null,
  "schema": {
    "$id": "/lucca-api/schemas/taxonomy-label-reference",
    "$schema": "https://json-schema.org/draft/2020-12/schema",
    "title": "taxonomy-label-reference",
    "type": [
      "object",
      "null"
    ],
    "additionalProperties": false,
    "required": [
      "id"
    ],
    "properties": {
      "id": {
        "type": "string",
        "minLength": 1
      },
      "type": {
        "type": "string",
        "const": "taxonomy-label",
        "readOnly": true
      },
      "url": {
        "type": "string",
        "format": "uri",
        "readOnly": true
      }
    }
  },
  "taxonomy": {
    "id": "45",
    "type": "taxonomy",
    "url": "https://example.ilucca.net/lucca-api/taxonomies/45"
  },
  "t9n": {
    "name": {
      "fr-FR": "Taille de t-shirt"
    }
  },
  "targetType": "employee",
  "links": {}
}
OAuth 2.0 scopes
 employee-attribute-definitions.readonly
or
 employee-attribute-definitions.readwrite

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Path Parameters

id
string
required

Identifier of the employee-attribute-definition.

Minimum string length: 1

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

id
string

Client-generated identifier.

Required string length: 1 - 255
Pattern: ^\w{1,255}
type
string
Allowed value: "employee-attribute-definition"
url
string<uri>
name
string
Minimum string length: 1
schema
object

JSON schema of the extension value. Read more about extension definition schemas.

When creating a new extension definition, you must express its schema via referencing base schemas, e.g.:

{
"schema": {
"$ref": "/lucca-api/schemas/taxonomy-label-reference"
}
}

The server responses will replace it by embedding the referenced JSON schema:

{
"schema": {
"$id": "/lucca-api/schemas/taxonomy-label-reference",
"$schema": "https://json-schema.org/draft/2020-12/schema",
"title": "taxonomy-label-reference",
"type": ["object", "null"],
"additionalProperties": false,
"required": ["id"],
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"type": {
"type": "string",
"const": "taxonomy-label",
"readOnly": true
},
"url": {
"type": "string",
"format": "uri",
"readOnly": "true"
}
}
}
}
applicabilitySchema
object

JSON schema of the applicable resources this definition only applies to.

propertyDescriptions
object

Required whenever this definition schema is of type "object". This property is a dictionary whose keys are the name of the schema object properties.

taxonomy
taxonomy-reference · object

Whenever the expected schema is a taxonomy-label reference, then the taxonomy these labels must belong to must be indicated.

isArchived
boolean

When false, resource is not archived. When true, resource is archived.

You can update this property in order to set the archival status of the resource.

lastArchivedAt
string<date-time> | null

Read-only. UTC timestamp of the moment this object was last archived through its isArchived property.

Example:

"2023-01-23T12:45:23.1234Z"

t9n
object
multipleValueHandling
object

Behavior regarding multiple extension values per single extended resource. When null, then only a single extension can exist for any extended resource. Multiple extensions may be accepted otherwise.

Example: "employee's children" would accept multiple value, when "employee's blood type" would not.

targetType
enum<string>
Available options:
employee,
employment,
job-position
embedded
object

No embedded resources on a employee-attribute-definition(s) response. Expect an empty object if embedded are requested.